// The class to sort, implements insertionSort
public class CS206Sort {
    public static void sort(int[] sortMe) {
        for(int nextPos = 1; nextPos < sortMe.length; nextPos++) {
            int index = nextPos;
            int indexVal = sortMe[index];
            while(index > 0 && indexVal < sortMe[index - 1]) {
                sortMe[index] = sortMe[index - 1];
                index--;
            } // end of while loop
            sortMe[index] = indexVal;
        } // end of for loop
    } // end of method sort int[]

    public static void sort(Comparable[] sortMe) {
        for(int nextPos = 1; nextPos < sortMe.length; nextPos++) {
            int index = nextPos;
            Comparable indexVal = sortMe[index];
            while(index > 0 && indexVal.compareTo(sortMe[index - 1]) < 0) {
                sortMe[index] = sortMe[index - 1];
                index--;
            } // end of while loop
            sortMe[index] = indexVal;
        } // end of for loop
    } // end of method sort(Comparable[]);
}