public class CS206Sort2 {
    public static void sort(int[] sortMe) {
        for(int out = 0; out < sortMe.length; out++) {
            int min = out;
            for(int in = out + 1; in < sortMe.length; in++) {
                if(sortMe[in] < sortMe[min]) {
                    min = in;
                }
            } // inner for loop
            swap(sortMe, out, min);
        } // outer for loop
    }

    public static void swap(int[] sortMe, int i, int j) {
        int tempVal = sortMe[j];
        sortMe[j] = sortMe[i];
        sortMe[i] = tempVal;
    }


    public static void sort(Comparable[] sortMeComparable) {
        for(int out = 0; out < sortMeComparable.length; out++) {
            Comparable minValue = sortMeComparable[out];
            int min = out;
            for(int in = out + 1; in < sortMeComparable.length; in++) {
                if(sortMeComparable[in].compareTo(minValue) < 0) {
                    minValue = sortMeComparable[in];
                    min = in;
                }
            } // inner for loop
            swapComparable(sortMeComparable, out, min);
        } // outer for loop
    }

    public static void swapComparable(Comparable[] sortMe, int i, int j) {
        Comparable tempVal = sortMe[j];
        sortMe[j] = sortMe[i];
        sortMe[i] = tempVal;
    }

}